Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.scope
Class ConstructionHeuristicStepScope

    java.lang.Object
      org.optaplanner.core.impl.phase.scope.AbstractStepScope
          org.optaplanner.core.impl.constructionheuristic.scope.ConstructionHeuristicStepScope

    public class ConstructionHeuristicStepScope

extends AbstractStepScope

Field Summary

Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope
`bestScoreImproved, clonedSolution, score, stepIndex`

Constructor Summary
`ConstructionHeuristicStepScope(ConstructionHeuristicSolverPhaseScope phaseScope)`
`ConstructionHeuristicStepScope(ConstructionHeuristicSolverPhaseScope phaseScope, int stepIndex)`

Method Summary
`Object` | `getEntity()`
`ConstructionHeuristicSolverPhaseScope` | `getPhaseScope()`
`Long` | `getSelectedMoveCount()`
`Move` | `getStep()`
`String` | `getStepString()`
`Move` | `getUndoStep()`
`int` | `getUninitializedVariableCount()` Should not be called because `isBestSolutionCloningDelayed()` returns true
`boolean` | `hasNoUninitializedVariables()`
`boolean` | `isBestSolutionCloningDelayed()`
`void` | `setEntity(Object entity)`
`void` | `setSelectedMoveCount(Long selectedMoveCount)`
`void` | `setStep(Move step)`
`void` | `setStepString(String stepString)`
`void` | `setUndoStep(Move undoStep)`

Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope
`createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getScoreDirector, getStepIndex, getWorkingRandom, getWorkingSolution, setBestScoreImproved, setClonedSolution, setScore, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstructionHeuristicStepScope

    public ConstructionHeuristicStepScope(ConstructionHeuristicSolverPhaseScope phaseScope)

### ConstructionHeuristicStepScope

    public ConstructionHeuristicStepScope(ConstructionHeuristicSolverPhaseScope phaseScope,
                                          int stepIndex)

Method Detail

### getPhaseScope

    public ConstructionHeuristicSolverPhaseScope getPhaseScope()

  Specified by:
    `getPhaseScope` in class `AbstractStepScope`

### isBestSolutionCloningDelayed

    public boolean isBestSolutionCloningDelayed()

  Specified by:
    `isBestSolutionCloningDelayed` in class `AbstractStepScope`

### getUninitializedVariableCount

    public int getUninitializedVariableCount()

  Should not be called because `isBestSolutionCloningDelayed()` returns true

  Specified by:
    `getUninitializedVariableCount` in class `AbstractStepScope`
  Returns:
    throws exception

### hasNoUninitializedVariables

    public boolean hasNoUninitializedVariables()

  Overrides:
    `hasNoUninitializedVariables` in class `AbstractStepScope`

### getEntity

    public Object getEntity()

### setEntity

    public void setEntity(Object entity)

### getStep

    public Move getStep()

### setStep

    public void setStep(Move step)

### getStepString

    public String getStepString()

  Returns:
    null if logging level is to high

### setStepString

    public void setStepString(String stepString)

### getUndoStep

    public Move getUndoStep()

### setUndoStep

    public void setUndoStep(Move undoStep)

### getSelectedMoveCount

    public Long getSelectedMoveCount()

### setSelectedMoveCount

    public void setSelectedMoveCount(Long selectedMoveCount)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.